Subject: Re: bug#37802: 27.0.50; Feature request: hook for theme enabling/disabling

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 21 May 2022 14:56:34 +0200

Óscar Fuentes <[email-masked]> writes:

> Currently I've solved my requirement by using defadvice on enable-theme
> *and* disable-theme for adapting my custom faces to changes on the
> active theme(s). Using a hook would be a little bit cleaner. I'm also
> surprised that no hook was implemented for this case, as most changes on
> user-visible state has an associated hook.

Yes, true.  So I've now added these two hooks to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no